<?php
/**
 * @version     1.0.0
 * @package     com_sp_orders
 * @copyright   http://Atoll-it.ru Copyright (C) 2013. All rights reserved.
 * @license     Proprietary software
 * @author      Atolloc <develop@atoll-it.ru> - http://atoll-it.ru
 */

// No direct access
defined('_JEXEC') or die;

/**
 * Sp_orders helper.
 */
class Sp_ordersHelper
{
	/**
	 * Configure the Linkbar.
	 */
	public static function addSubmenu($vName = '')
	{
		JSubMenuHelper::addEntry(
			JText::_('COM_SP_POSTANOVLENIYA_TITLE_FILESPOSTANOVLENIYA'),
			'index.php?option=com_sp_orders&view=filesorders',
			$vName == 'filesorders'
		);

	}

	/**
	 * Gets a list of the actions that can be performed.
	 *
	 * @return	JObject
	 * @since	1.6
	 */
	public static function getActions()
	{
		$user	= JFactory::getUser();
		$result	= new JObject;

		$assetName = 'com_sp_orders';

		$actions = array(
			'core.admin', 'core.manage', 'core.create', 'core.edit', 'core.edit.own', 'core.edit.state', 'core.delete'
		);

		foreach ($actions as $action) {
			$result->set($action, $user->authorise($action, $assetName));
		}

		return $result;
	}
}
